# Changelog
All notable changes to this project will be documented in this file.

The format is based on [Keep a Changelog](https://keepachangelog.com/en/1.0.0/),
and this project adheres to [Semantic Versioning](https://semver.org/spec/v2.0.0.html).

## [0.8.0] - 2020-07-04
### Added
- 🎉 default component icons embedded in the [draft](https://github.com/lucasepe/draft) binary executable
- 🎉 new connection attribute `num` in order to eventyally number them
- 🎉 new `labeldistance` `labelangle` and `minlen` attributes in order to have full control of labels displacement

### Changed
- complete restyling of the icons representing the individual components (see [README.md](./README.md))
- to render different providers implementations in the same graph `provider` is a _component_ attribute now
- you can add eventually some simple HTML tag to the component attribute `label`
- `-impl` flag it's now a simple boolean, if specified it will show each component `impl` attribute - otherwise it will be hide

## [0.7.0] - 2020-06-27
### Added
- 🎉 load architecture YAML files from remote HTTP sites 
  - `draft 'http://my.my.domain.com/arch.yml' | dot -Tpng > arch.png`

### Fixed
- 🐛 [issue #5](https://github.com/lucasepe/draft/issues/5) labels for all components and connections

### Changed
- `impl` flag value for Google Cloud is now `google` 

## [0.6.1] - 2020-06-22
### Fixed
- 🐛 outline frames not working

## [0.6.0] - 2020-06-20
### Added
- 🎉 new feature use specific icons for each provider (see [README](./README.md) for the _How To_)
- 🎉 icons for AWS, GCP and Azure cloud providers (see: [icons/](./icons/) folder) 
- new commandline flag `-verbose` to print some debug infos

### Changed
- 🎉 total code refactoring - more function(al) less OOP
  - easier to add new components

## [0.5.0] - 2020-06-15
### Added
- new component _Block Storage_ (kind: `bst`)
- new component _Object Storage_ (kind: `ost`)
- new component _File Storage_ (kind: `fst`)
- new component _RDBMS_ (kind: `rdb`)
- new component _No SQL_ (kind: `doc`)
- new component _Caching_ (kind: `mem`)
- new commandline flag `-impl=[aws,gcp,azure]` to auto fill components implementations according to the specified provider

### Changed
- autogenerated id prefix now is equal to the _kind_ value (see [./README.md](README.md)) **breaking change** 
  - modified YAML schema
- connection info  (see [./README.md](README.md)) **breaking change** 
  - modified YAML schema

### Removed
- generic html component

## [0.4.0] - 2020-06-11
### Added
- This CHANGELOG file
- Test cases
- New commandline flag `-bottom-top` to set bottom top layout
- New component kind: [`container-service`](./examples/cos.yml)
- New component kind: [`waf`](./examples/waf.yml)
- New example [./examples/system-view.yml](./examples/system-view.yml)
